﻿function html_rep(str) {
	if (str.length == 0)
		return "";
	str = str.replace(/\r/g, "|");
	str = str.replace(/\n/g, "|");
	str = str.replace(/\|\|/g, "|");
	return str;
}

KE.lang['logmusic'] = "插入MP3音乐到日志中";
KE.plugin['logmusic'] = {
	click : function (id) {
		KE.util.selection(id);
		var dialog = new KE.dialog({
					id : id,
					cmd : 'logmusic',
					file : '../../../content/plugins/em_logmusic/code.html',
					width : 550,
					height : 330,
					title : KE.lang['logmusic'],
					yesButton : KE.lang['yes'],
					noButton : KE.lang['no']
				});
		dialog.show();
	},
	check : function (id) {
		var dialogDoc = KE.util.getIframeDoc(KE.g[id].dialog);
		var mp3_swf=KE.$('logmusic_swf', dialogDoc).value;
		var mp3_true=KE.$('autoplay', dialogDoc);
		var mp3_url=KE.$('em_logmusic', dialogDoc).value;
		if(mp3_url==""){
			alert('请插入MP3音乐地址！');
			return false;
		}else{
		return true;
		}
	},
	exec : function (id) {
		KE.util.select(id);
		var iframeDoc = KE.g[id].iframeDoc;
		var dialogDoc = KE.util.getIframeDoc(KE.g[id].dialog);
		if (!this.check(id))
			return false;
		var mp3_swf=KE.$('logmusic_swf', dialogDoc).value;
		var mp3_true=KE.$('autoplay', dialogDoc);
		var mp3_url=KE.$('em_logmusic', dialogDoc).value;
		var mp3_w,mp3_h,autoplay;
		
		if(mp3_swf=="dewplayer.swf"){
        	mp3_w=200;mp3_h=20;
        }else if(mp3_swf=="dewplayer-mini.swf"){
          	mp3_w=160;mp3_h=20;
        }else if(mp3_swf=="dewplayer-multi.swf"){
        	mp3_w=240;mp3_h=20;
        }else if(mp3_swf=="dewplayer-rect.swf"){
        	mp3_w=240;mp3_h=20;
        }else if(mp3_swf=="dewplayer-vol.swf"){
        	mp3_w=240;mp3_h=20;
        }else if(mp3_swf=="dewplayer-bubble.swf"){
        	mp3_w=250;mp3_h=65;
        }else{
        	mp3_w=250;mp3_h=65;
        }
		
		if(mp3_true.checked){
			autoplay=1;
		}else{
			autoplay=0;
		}
		this.insert(id,mp3_swf,mp3_w,mp3_h,autoplay,mp3_url);
	},
	insert : function (id,mp3_swf,mp3_w,mp3_h,autoplay,mp3_url) {
		var html='';
		html+='<object type=\"application/x-shockwave-flash\" data=\"/content/plugins/em_logmusic/player/'+mp3_swf+'\" width=\"'+mp3_w+'\" height=\"'+mp3_h+'\" id=\"logmusic\">';
		html+='<param name=\"wmode\" value=\"transparent\" />';
		html+='<param name=\"movie\" value=\"/content/plugins/em_logmusic/player/'+mp3_swf+'?autostart='+autoplay+'&randomplay=0&autoreplay=1&volume=100&showtime=1&nopointer=1&mp3='+html_rep(mp3_url)+'\" />';
		html+='<param name=\"flashvars\" value=\"autostart='+autoplay+'&randomplay=0&autoreplay=1&volume=100&showtime=1&nopointer=1&mp3='+html_rep(mp3_url)+'\" />';
		html+='</object>';
		KE.util.insertHtml(id, html);
		KE.layout.hide(id);
		KE.util.focus(id);
	}
};
function loadEditor(id) {
	KE.show({
			id : id,
			resizeMode : 1,
			allowUpload : false,
			urlType : 'absolute',
			items : ['logmusic','bold', 'italic', 'underline', 'strikethrough', 'textcolor', 'bgcolor', 'fontname', 'fontsize', 'removeformat', 'wordpaste', 'insertorderedlist', 'insertunorderedlist', 'indent', 'outdent', 'justifyleft', 'justifycenter', 'justifyright', 'link', 'unlink', 'image', 'flash', 'advtable', 'emoticons', 'source', '|', 'about']
		});
}
 